Subject: [Insipid] Text proposal for the "SIP traffic monitoring" use case

From: Laura Liess <[email-masked]>
Date: Wed, 27 Jun 2012 11:19:28 +0200

Paul,

Please find enclosed a text proposal for the use case "SIP traffic monitoring":

SIP traffic monitoring

UA-A and UA-B communicate using SIP phone calls and SIP messaging with
a SIP B2BUA acting as a middlebox. The B2BUA changes any SIP header
revealing information related to the SIP user, device or domain
identity. The service provider uses an external device to monitor and
log “on the wire” all SIP traffic passed through the B2BUA.  In case
of failures being reported by the customers or of security issues
(e.g. theft of service), the service provider has to analyse the logs
for the past days or weeks and correlate those messages which where,
at some point in time, components of a single end-to-end SIP session
(e.g., parts of the same phone call or transfer of the same message).

For this scenario, we must consider three particular use cases:

a)      The UA-A and UA-B software can be upgraded by the service provider
to support the new identifier. .
       Derived Requirements: REQ1, (eventually REQ1a), REQ4, REQ5, REQ8.

b)      Only the UA-A software can be upgraded by the service provider to
support the new identifier, the UA-B software can not.
       Derived Requirements: REQ1, (eventually REQ1a), REQ4, REQ5, REQ7, REQ8.

c)      Neither the UA-A nor the UA-B software can be upgraded by the
service provider to support the new identifier, the UA-B software can
not.
       Derived Requirements: REQ1, (eventually REQ1a), REQ4, REQ5, REQ7, REQ8.

Thanks
Laura